INTERFACE
SUBROUTINE MWAVE_GET_AD(PMWAVE_OBS_BUF,PMWAVE_ZEN_BUF, PMWAVE_AZI_BUF, PMWAVE_OERR_BUF,PMWAVE_PERS1_BUF,KMWAVE_BUF)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMGEM ,ONLY : NGPTOT
USE PARMWAVE , ONLY : NMAX_CHAN, RMISSING_ANGLE
USE YOMMWAVE , ONLY : N_SATSENS, MWAVE_ID, MWAVE_NO_OBS,&
 & MWAVE_CONTAMINATED, MWAVE_OK 
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OBS_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_ZEN_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_AZI_BUF(NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OERR_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_PERS1_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
INTEGER(KIND=JPIM) ,INTENT(INOUT) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
END SUBROUTINE MWAVE_GET_AD
END INTERFACE
